#!/usr/bin/perl -I /usr/sausalito/perl
# $Id: 87_updateCapGroups.pl, v1.1.0.0 Tue 08 Apr 2008 11:03:18 AM CEST mstauber Exp $
# Copyright 2006-2008 Solarspeed Ltd. All rights reserved.

use strict;
use lib qw(/usr/sausalito/perl);
use CCE;

my $cce = new CCE;
$cce->connectuds();

# create ManageVPS minor group
my @groups = (
		{
		    'name' => 'ManageVPS',
		    'shown' => 1,
		    'capabilities' => $cce->array_to_scalar(
					'ManageVPS')
		},
            );


# now loop through all the capability groups and create as necessary
for my $cap (@groups)
{
    my ($oid) = $cce->find('CapabilityGroup', { 'name' => $cap->{name} });
    if (not $oid)
    {
        my ($ok) = $cce->create('CapabilityGroup', $cap);
        if (not $ok)
        {
            print STDERR "Failed to create $cap->{name}\n";
        }
    }
    # else should we reset capabilities?

}

$cce->bye('SUCCESS');
exit(0);
