#!/usr/bin/perl -I/usr/sausalito/perl
# Copyright 2012 Bluapp AB. All rights reserved.


use CCE;
use Data::Dumper;


$cce = new CCE;

$cce->connectuds();

@oids = $cce->find('KVMosVariant');

for $oid (@oids) {
    ($ok) = $cce->destroy($oid);
}

`/usr/sbin/virt-install --os-variant=list > /tmp/osvariant.txt`;


open(VARIANTS, '/tmp/osvariant.txt');
while (<VARIANTS>) {
    chomp;
    ($variant, $variantName) = split(/: /);
    $variant =~ s/^\s+//;
    $variant =~ s/\s+$//;
    chomp($variantName);

    $variants{"$variant"}= $variantName;
}
`rm /tmp/osvariant.txt`;


while (($key, $value) = each(%variants)){
    if ($key) {
	($ok) = $cce->create('KVMosVariant', {
	    'osVariant' => $key,
	    'osVariantName' => $value
			     });
    }
}


$cce->bye('SUCCESS');
exit(0);
